Skip to content

Most visited

Recently visited

navigation

Material Design for Developers

Dependencies and Prerequisites

  • Android 5.0 (API level 21)

Material design is a comprehensive guide for visual, motion, and interaction design across platforms and devices. To use material design in your Android apps, follow the guidelines described in the material design specification and use the new components and functionality available in Android 5.0 (API level 21).

This class shows you how to create material design apps with the following elements:

  • The material theme
  • Widgets for cards and lists
  • Custom shadows and view clipping
  • Vector drawables
  • Custom animations

This class also teaches you how to maintain compatibility with versions of Android earlier than 5.0 (API level 21) when you use material design features in your app.

Lessons

Getting Started
Learn how to update your app with material design features.
Using the Material Theme
Learn how to apply material design styles to your app.
Creating Lists and Cards
Learn how to create lists and cards with a consistent look and feel using system widgets.
Defining Shadows and Clipping Views
Learn how to set elevation for your views to create custom shadows and how to clip views.
Working with Drawables
Learn how to create vector drawables and how to tint drawable resources.
Defining Custom Animations
Learn how to create custom animations for views and activity transitions with shared elements.
Maintaining Compatibility
Learn how to maintain compatibility with platform versions earlier than Android 5.0.

Video Training

If you prefer to learn through interactive video training, check out this online course about material design for Android developers.

Start the video course

This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.